#pragma once

#include "region.h"



/* A memory pool interface. */

class Memory
{
public:
    virtual ~Memory()
    {
    }

    virtual Region *region() = 0;

    virtual offset_t region_size() = 0;

    virtual void release(Region *region) = 0;
};

// vim: tabstop=4 expandtab shiftwidth=4
